Bug 302017 - Tabs showing a PDF can't be reopened
Summary: Tabs showing a PDF can't be reopened
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Unclassified
Component: general (show other bugs)
Version: 0.9.1
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-16 17:16 UTC by SZÉKELYI Szabolcs
Modified: 2012-06-19 16:11 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description SZÉKELYI Szabolcs 2012-06-16 17:16:32 UTC
If a PDF is shown in a tab, and that tab is closed, it is not added to the Closed Tabs list, so it can't be reopened.

Reproducible: Always

Steps to Reproduce:
1. Open a web page that has a lint to a PDF file.
2. Click the link, select Open when asked what to do with the file.
3. Close the tab.
4. Right click another tab and look under Closed Tabs.
Actual Results:  
The closed tab is doesn't appear in the list. It's lost, so is its history.

Expected Results:  
The PDF file should appear under Closed Tabs.
Comment 1 Andrea Diamantini 2012-06-19 16:11:36 UTC
Git commit 7cd1fd1b92283096b240effe81069e3912bedec6 by Andrea Diamantini.
Committed on 19/06/2012 at 18:11.
Pushed by adjam into branch 'master'.

Reopen the tabs lasting with "rekonq pages" (about urls, pdfs, etc..)

WARNING: Needs testing...

M  +5    -3    src/mainview.cpp

http://commits.kde.org/rekonq/7cd1fd1b92283096b240effe81069e3912bedec6